# class KCompletionBox | A helper widget for "completion-widgets" (KLineEdit, KComboBox)). More...
Definition | `#include <kcompletionbox.h>`
Inherits | KListBox [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KCompletionBox ( QWidget *parent, const char *name = 0 )
- ~KCompletionBox ()
- virtual QSize sizeHint () const

#### Public Slots

- QStringList items () const
- virtual void popup ()
- void down ()
- void up ()
- void pageDown ()
- void pageUp ()
- void home ()
- void end ()

#### Signals

- void activated ( const QString& )

#### Protected Methods

- virtual bool eventFilter ( QObject *, QEvent * )

#### Protected Slots

- virtual void slotActivated ( QListBoxItem * )

## Detailed Description

A little utility class for "completion-widgets", like KLineEdit or KComboBox. KCompletionBox is a listbox, displayed as a rectangle without any window-decoration, usually directly under the lineedit or combobox. It is filled with all possible matches for a completion, so the user can select the one he wants.

It is used when KGlobalSettings::Completion == CompletionPopup.

KCompletionBox ( QWidget *parent, const char *name = 0 ) | ### KCompletionBox

Constructs a KCompletionBox.

Notice: the parent needs to be always 0L, so you can't specify it in the constructor. Because of that, Qt's auto-deletion does not take place, so you have to explicitly delete this widget when you don't need it anymore.

The parent widget is used to give the focus back when pressing the up-button on the very first item.

~KCompletionBox () | ### ~KCompletionBox

Destroys the box

QSize sizeHint () | ### sizeHint

[const virtual]

Reimplemented from QListBox.

QStringList items () | ### items

[const slot]

Returns: a list of all items currently in the box.

void popup () | ### popup

[virtual slot]

Adjusts the size of the box to fit the width of the parent given in the constructor and pops it up at the most appropriate place, relative to the parent.

Depending on the screensize and the position of the parent, this may be a different place, however the default is to pop it up and the lower left corner of the parent.

Make sure to hide() the box when appropriate.

void activated ( const QString& ) | ### activated

[signal]

Emitted when an item was selected, contains the text of the selected item.

void down () | ### down

[slot]

Move the selection one line down or select the first item if nothing is selected yet.

void up () | ### up

[slot]

Move the selection one line up or select the first item if nothing is selected yet.

void pageDown () | ### pageDown

[slot]

Move the selection one page down.

void pageUp () | ### pageUp

[slot]

Move the selection one page up.

void home () | ### home

[slot]

Move the selection up to the first item.

void end () | ### end

[slot]

Move the selection down to the last item.

bool eventFilter ( QObject *, QEvent * ) | ### eventFilter

[protected virtual]

Reimplemented from KListBox to get events from the viewport (to hide this widget on mouse-click, Escape-presses, etc.

void slotActivated ( QListBoxItem * ) | ### slotActivated

[protected slots virtual slot]

Called when an item was activated. Emits activated() with the item.

- Author: Carsten Pfeiffer <pfeiffer@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.